#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:deploy_key) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-EOD
  The name of the deploy_key. This parameter is extracted from the full name.
  No need to specify it in the body of the puppet type.

  EOD

  data_type("Optional[String[1]]")

  isnamevar
end
