#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:blog) do
  include EasyType

  desc <<-EOD

  The url of a blog for the organization. Here is an example:

      github_organization { 'account/organization':
        ...
        blog          => 'https://www.enterprisemodules.com',
        ...
      }


  EOD

  data_type("Optional[String[1]]")

  to_translate_to_resource do |raw_resource|
    raw_resource[self.name]
  end
end
