#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password) do
  include EasyType::EncryptedYamlProperty

  desc <<-EOD
  The password to use when authenticating at github. The password is saved on the
  system in a secure way.

      github_credentials { '...':
        ...
        password => 'very_secret',
        ...
      }


  EOD

  data_type("Optional[String[1]]")
end
