#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:username) do
  include EasyType::YamlProperty

  desc <<-EOD
  The username to use for authenticating at github.

      github_credentials { '...':
        ...
        password => 'very_secret',
        ...
      }

  EOD

  data_type("Optional[String[1]]")
end
