#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:billing_email) do
  include EasyType

  desc <<-EOD

  The email address to use for billing related issues. Here is an example:

      github_organization { 'account/organization':
        ...
        billing_email => 'billing@company.org',
        ...
      }



  EOD

  data_type("Optional[String[1]]")

  to_translate_to_resource do |raw_resource|
    raw_resource[self.name]
  end
end
