#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:company) do
  include EasyType

  desc <<-EOD

  Company name. Here is an example:

      github_organization { 'account/organization':
        ...
        company => 'Company name',
        ...
      }


  EOD

  data_type("Optional[String[1]]")

  to_translate_to_resource do |raw_resource|
    raw_resource[self.name]
  end
end
