#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:location) do
  include EasyType

  desc <<-EOD

  Location of the organization. Here is an example:

      github_organization { 'account/organization':
        ...
        location      => 'The Netherlands',
        ...
      }


  EOD

  data_type("Optional[String[1]]")

  to_translate_to_resource do |raw_resource|
    raw_resource[self.name]
  end
end
