#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:plan) do
  include EasyType

  desc <<-EOD

  The payment plan to use. Here is an example:

      github_organization { 'account/organization':
        ...
        plan =>
        ...
      }

  EOD

  data_type("Optional[String[1]]")

  to_translate_to_resource do |raw_resource|
    raw_resource[self.name]['name']
  end
end
