#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:homepage) do
  include EasyType

  desc <<-EOD
  A URL with more information about the repository.

  Here is an example on how to do this:

      github_repo { 'account/owner/repo':
        ...
        homepage      => 'http://www.enterprisemodules.com/',
        ...
      }

  EOD

  data_type("Optional[String[1]]")

  to_translate_to_resource do |raw_resource|
    raw_resource[:homepage]
  end
end
