#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:description) do
  include EasyType

  desc <<-EOD

  The description of the resource.

      github_... { '...':
        ...
        description => 'just some text',
        ...
      }

  EOD

  data_type("Optional[String[1]]")

  to_translate_to_resource do |raw_resource|
    raw_resource[:description]
  end
end
